/**
  * ******************************************************
  *                                                       *
  *   Copyright (C) Microsoft. All rights reserved.       *
  *                                                       *
  *******************************************************
  */
"use strict";
const os = require("os");
var HostSpecifics;
(function (HostSpecifics) {
    var cachedSpecifics;
    Object.defineProperty(HostSpecifics, "hostSpecifics", {
        get: function () {
            if (!cachedSpecifics) {
                var platform = os.platform();
                // Load win32\win32-specifics.js or darwin\darwon-specifics.js
                // depending on whether we're running on Windows or OSX
                cachedSpecifics = require("./" + platform + "/" + platform + "-specifics");
            }
            return cachedSpecifics;
        }
    });
})(HostSpecifics || (HostSpecifics = {}));
module.exports = HostSpecifics;
